=== system/requirements.txt ===
azure-storage-blob
boto
requests==2.28.2
requests-unixsocket
python-swiftclient
flake8
termcolor
etcd3
leveldb
