=== debian/changelog ===
aptly (1.6.2-1) unstable; urgency=medium

  [ Sébastien Delafond ]
  * d/watch: v5
  * Bump up Standards-Version
  * Remove +ds suffix
  * Add Static-Built-Using
  * New upstream version 1.6.2

 -- Sebastien Delafond <seb@debian.org>  Wed, 24 Sep 2025 06:19:54 +0200
