## aptly 2009-12-28.1-1

=== debian/changelog ===
aptly (2009-12-28.1-1) stable; urgency=low

  Allow users to specify a custom cache directory using -C/--cache. If no directory is specified, ~/.config/aptly is used.

 -- Edwin Marshall <aspidites@inbox.com>  Mon, 28 Dec 2009 11:41:49 +0000
