=== debian/control ===
Source: aptly
Section: user/utilities
Priority: extra
Maintainer: Edwin Marshall <aspidites@inbox.com>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: aptly
Architecture: all
Depends: python2.5 (>= 2.5.1-1osso5)
Description: A command line tool that bundles the most commonfunctions of apt-get, apt-cache, and dpkg, additionally making some of the more obscure ones more easily accessible.
XSBC-Bugtracker: XSBC-Bugtracker: http://bugs.maemo.org
