## aptly 2009-12-30.1-1

=== debian/changelog ===
aptly (2009-12-30.1-1) stable; urgency=low

  * removed -g/--gui option. All GUIs should be implemented as seperate applications now
  * help is automatically shown if no arguments are given

 -- Edwin Marshall <aspidites@inbox.com>  Wed, 30 Dec 2009 13:03:28 +0000
