## aptly 2009-12-30.1-2

=== debian/changelog ===
aptly (2009-12-30.1-2) stable; urgency=low

  * fixed /usr/bin/aptly

 -- Edwin Marshall <aspidites@inbox.com>  Wed, 30 Dec 2009 14:58:19 +0000
