=== debian/rules ===
--- 
+++ 
@@ -46,18 +46,16 @@
 	#$(MAKE) DESTDIR="$(CURDIR)/debian/aptly" install
 	mkdir -p "$(CURDIR)/debian/aptly"
 
-#	mkdir -p "$(CURDIR)/debian/aptly/usr/share/doc/"
-	cp -a "src/usr/share/doc/CHANGES" "$(CURDIR)/debian/aptly/usr/share/doc/CHANGES"
-	mkdir -p "$(CURDIR)/debian/aptly/usr/share/doc/"
-	cp -a "src/usr/share/doc/COPYING" "$(CURDIR)/debian/aptly/usr/share/doc/COPYING"
-	mkdir -p "$(CURDIR)/debian/aptly/usr/lib/"
-	cp -a "src/usr/lib/aptly.py" "$(CURDIR)/debian/aptly/usr/lib/aptly.py"
-	mkdir -p "$(CURDIR)/debian/aptly/usr/lib/"
-	cp -a "src/usr/lib/curses_ui.py" "$(CURDIR)/debian/aptly/usr/lib/curses_ui.py"
-	mkdir -p "$(CURDIR)/debian/aptly/usr/lib/"
-	cp -a "src/usr/lib/curses_ui.pyo" "$(CURDIR)/debian/aptly/usr/lib/curses_ui.pyo"
-	mkdir -p "$(CURDIR)/debian/aptly/usr/bin/"
+#	mkdir -p "$(CURDIR)/debian/aptly/usr/bin/"
 	cp -a "src/usr/bin/aptly" "$(CURDIR)/debian/aptly/usr/bin/aptly"
+	mkdir -p "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/"
+	cp -a "src/usr/lib/python2.5/site-packages/aptly/CHANGES" "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/CHANGES"
+	mkdir -p "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/"
+	cp -a "src/usr/lib/python2.5/site-packages/aptly/COPYING" "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/COPYING"
+	mkdir -p "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/"
+	cp -a "src/usr/lib/python2.5/site-packages/aptly/aptly-curses.py" "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/aptly-curses.py"
+	mkdir -p "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/"
+	cp -a "src/usr/lib/python2.5/site-packages/aptly/aptly.py" "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/aptly.py"
 
 	# ======================================================
