## aptly 2010-1-1.2-1

=== debian/changelog ===
aptly (2010-1-1.2-1) stable; urgency=low

  Please see /usr/lib/python2.5/site-packages/aptly/CHANGES

 -- Edwin Marshall <aspidites@inbox.com>  Fri, 01 Jan 2010 19:26:31 +0000
