=== debian/rules ===
--- 
+++ 
@@ -46,16 +46,14 @@
 	#$(MAKE) DESTDIR="$(CURDIR)/debian/aptly" install
 	mkdir -p "$(CURDIR)/debian/aptly"
 
-#	mkdir -p "$(CURDIR)/debian/aptly/usr/bin/"
-	cp -a "src/usr/bin/aptly" "$(CURDIR)/debian/aptly/usr/bin/aptly"
-	mkdir -p "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/"
-	cp -a "src/usr/lib/python2.5/site-packages/aptly/CHANGES" "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/CHANGES"
-	mkdir -p "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/"
-	cp -a "src/usr/lib/python2.5/site-packages/aptly/COPYING" "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/COPYING"
-	mkdir -p "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/"
-	cp -a "src/usr/lib/python2.5/site-packages/aptly/aptly-curses.py" "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/aptly-curses.py"
-	mkdir -p "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/"
-	cp -a "src/usr/lib/python2.5/site-packages/aptly/aptly.py" "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/aptly.py"
+#	mkdir -p "$(CURDIR)/debian/aptly/usr/bin/src/usr/bin"
+	cp -a "src/usr/bin/aptly" "$(CURDIR)/debian/aptly/usr/bin/src/usr/bin/aptly"
+	mkdir -p "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/src/usr/lib/python2.5/site-packages/aptly"
+	cp -a "src/usr/lib/python2.5/site-packages/aptly/CHANGES" "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/src/usr/lib/python2.5/site-packages/aptly/CHANGES"
+	mkdir -p "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/src/usr/lib/python2.5/site-packages/aptly"
+	cp -a "src/usr/lib/python2.5/site-packages/aptly/COPYING" "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/src/usr/lib/python2.5/site-packages/aptly/COPYING"
+	mkdir -p "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/src/usr/lib/python2.5/site-packages/aptly"
+	cp -a "src/usr/lib/python2.5/site-packages/aptly/aptly.py" "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/src/usr/lib/python2.5/site-packages/aptly/aptly.py"
 
 	# ======================================================
