## aptly 2010-1-1.2-2

=== debian/changelog ===
aptly (2010-1-1.2-2) stable; urgency=low

  Please see /usr/lib/python2.5/site-packages/aptly/CHANGES

 -- Edwin Marshall <aspidites@inbox.com>  Fri, 01 Jan 2010 20:20:57 +0000
