## aptly 2010-6-8-1

=== debian/changelog ===
aptly (2010-6-8-1) stable; urgency=low

  It is no longer neccessary to use ';' to chaincommands.

 -- Edwin Marshall <aspidites@inbox.com>  Sat, 08 May 2010 03:17:07 +0000
