## aptly 2010.5.10-1-2

=== debian/changelog ===
aptly (2010.5.10-1-2) stable; urgency=low

  Install command now supports autocompletion for deb files. It is now possible to use analternate directory for the cache.

 -- Edwin Marshall <aspidites@inbox.com>  Mon, 10 May 2010 13:48:20 +0000
