=== debian/control ===
Source: aptly
Section: user/utilities
Priority: extra
Maintainer: Edwin Marshall <aspidites@inbox.com>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: aptly
Architecture: all
Depends: python2.5
Description: An interactive console-based apt and dpkg wrapper.
XSBC-Bugtracker: XSBC-Bugtracker: http://bugs.maemo.org
