## aptly 2010.5.11-4

=== debian/changelog ===
aptly (2010.5.11-4) stable; urgency=low

  Removed icon info since it seems to be preventing upload into extras-devel.

 -- Edwin Marshall <aspidites@inbox.com>  Fri, 14 May 2010 15:00:09 +0000
