=== debian/control ===
--- 
+++ 
@@ -9,4 +9,4 @@
 Architecture: all
 Depends: python2.5
 Description: An interactive console-based apt and dpkg wrapper.
-XSBC-Bugtracker: XSBC-Bugtracker: http://bugs.maemo.org
+XSBC-Bugtracker: XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=1196
