## aptly 2010.5.11-5

=== debian/changelog ===
aptly (2010.5.11-5) stable; urgency=low

  Added app manager icon again.

 -- Edwin Marshall <aspidites@inbox.com>  Fri, 14 May 2010 15:37:40 +0000
