## aptly 2010.5.14.1-1

=== debian/changelog ===
aptly (2010.5.14.1-1) stable; urgency=low

  Help command works properly again.

 -- Edwin Marshall <aspidites@inbox.com>  Fri, 14 May 2010 17:55:29 +0000
