## aptly 2010.6.12.0-1

=== debian/changelog ===
aptly (2010.6.12.0-1) stable; urgency=low

  Help command works properly again.

 -- Edwin Marshall <aspidites@inbox.com>  Sat, 12 Jun 2010 14:08:35 +0000
