## aptly 2010.8.16.0-1

=== debian/changelog ===
aptly (2010.8.16.0-1) stable; urgency=low

  - Fixed bug that caused aptly to crash when 
  attempting to install an application.

 -- Edwin Marshall <aspidites@inbox.com>  Mon, 16 Aug 2010 23:55:13 +0000
