=== debian/rules ===
--- 
+++ 
@@ -56,6 +56,12 @@
 	cp -a "src/usr/lib/python2.5/site-packages/aptly/aptly.py" "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/aptly.py"
 	mkdir -p "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/"
 	cp -a "src/usr/lib/python2.5/site-packages/aptly/config.py" "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/config.py"
+	mkdir -p "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/"
+	cp -a "src/usr/lib/python2.5/site-packages/aptly/config.pyo" "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/config.pyo"
+	mkdir -p "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/"
+	cp -a "src/usr/lib/python2.5/site-packages/aptly/utils.py" "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/utils.py"
+	mkdir -p "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/"
+	cp -a "src/usr/lib/python2.5/site-packages/aptly/utils.pyo" "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/utils.pyo"
 
 	# ======================================================
