## aptly 2010.8.20.0-1

=== debian/changelog ===
aptly (2010.8.20.0-1) stable; urgency=low

  - experimental sudo support
  		 * user no longer needs to type 'sudo gainroot' before running aptly
  	- if the user doesn't type sudo before aptly they are prompted for a root password

 -- Edwin Marshall <aspidites@inbox.com>  Sat, 21 Aug 2010 17:39:04 +0000
