=== debian/rules ===
--- 
+++ 
@@ -57,11 +57,9 @@
 	mkdir -p "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/"
 	cp -a "src/usr/lib/python2.5/site-packages/aptly/config.py" "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/config.py"
 	mkdir -p "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/"
-	cp -a "src/usr/lib/python2.5/site-packages/aptly/config.pyo" "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/config.pyo"
-	mkdir -p "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/"
 	cp -a "src/usr/lib/python2.5/site-packages/aptly/utils.py" "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/utils.py"
-	mkdir -p "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/"
-	cp -a "src/usr/lib/python2.5/site-packages/aptly/utils.pyo" "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/utils.pyo"
+	mkdir -p "$(CURDIR)/debian/aptly/etc/sudoers.d/"
+	cp -a "src/etc/sudoers.d/aptly.sudoers" "$(CURDIR)/debian/aptly/etc/sudoers.d/aptly.sudoers"
 
 	# ======================================================
